Discover Government News



# Security update for suse-module-tools

Announcement ID: SUSE-SU-2023:4158-1  
Rating: important  
References:

  * bsc#1205767
  * bsc#1207853
  * bsc#1210335
  * jsc#PED-5731

  
Cross-References:

  * CVE-2023-1829
  * CVE-2023-23559

  
CVSS scores:

  * CVE-2023-1829 ( SUSE ):  7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
  * CVE-2023-1829 ( NVD ):  7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
  * CVE-2023-23559 ( SUSE ):  6.5 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:L
  * CVE-2023-23559 ( NVD ):  7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

  
Affected Products:

  * SUSE Enterprise Storage 7.1
  * SUSE Linux Enterprise High Performance Computing 15 SP3
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3
  * SUSE Linux Enterprise Micro 5.1
  * SUSE Linux Enterprise Micro 5.2
  * SUSE Linux Enterprise Micro for Rancher 5.2
  * SUSE Linux Enterprise Server 15 SP3
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3
  * SUSE Manager Proxy 4.2
  * SUSE Manager Retail Branch Server 4.2
  * SUSE Manager Server 4.2

  
  
An update that solves two vulnerabilities, contains one feature and has one
security fix can now be installed.

## Description:

This update for suse-module-tools fixes the following issues:

  * Updated to version 15.3.17:

  * CVE-2023-1829: Blacklisted the Linux kernel tcindex classifier module
    (bsc#1210335).

  * CVE-2023-23559: Blacklisted the Linux kernel RNDIS modules (bsc#1205767,
    jsc#PED-5731).

  * Updated to version 15.3.16:

  * Fixed a build issue for s390x (bsc#1207853).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-4158=1

  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-4158=1

  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-4158=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP3  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2023-4158=1

  * SUSE Manager Proxy 4.2  
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-4158=1

  * SUSE Manager Retail Branch Server 4.2  
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch-
Server-4.2-2023-4158=1

  * SUSE Manager Server 4.2  
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-4158=1

  * SUSE Enterprise Storage 7.1  
    zypper in -t patch SUSE-Storage-7.1-2023-4158=1

  * SUSE Linux Enterprise Micro 5.1  
    zypper in -t patch SUSE-SUSE-MicroOS-5.1-2023-4158=1

  * SUSE Linux Enterprise Micro 5.2  
    zypper in -t patch SUSE-SUSE-MicroOS-5.2-2023-4158=1

  * SUSE Linux Enterprise Micro for Rancher 5.2  
    zypper in -t patch SUSE-SUSE-MicroOS-5.2-2023-4158=1

## Package List:

  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 (aarch64
    x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64
    x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x
    x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Manager Proxy 4.2 (x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Manager Retail Branch Server 4.2 (x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Manager Server 4.2 (ppc64le s390x x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Enterprise Storage 7.1 (aarch64 x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Linux Enterprise Micro 5.1 (aarch64 s390x x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1
  * SUSE Linux Enterprise Micro for Rancher 5.2 (aarch64 s390x x86_64)
    * suse-module-tools-15.3.17-150300.3.22.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-1829.html
  * https://www.suse.com/security/cve/CVE-2023-23559.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1205767
  * https://bugzilla.suse.com/show_bug.cgi?id=1207853
  * https://bugzilla.suse.com/show_bug.cgi?id=1210335
  * https://jira.suse.com/login.jsp

SUSE: 2023:4158-1 important: suse-module-tools

October 23, 2023
* bsc#1205767 * bsc#1207853 * bsc#1210335 * jsc#PED-5731

Summary

## This update for suse-module-tools fixes the following issues: * Updated to version 15.3.17: * CVE-2023-1829: Blacklisted the Linux kernel tcindex classifier module (bsc#1210335). * CVE-2023-23559: Blacklisted the Linux kernel RNDIS modules (bsc#1205767, jsc#PED-5731). * Updated to version 15.3.16: * Fixed a build issue for s390x (bsc#1207853). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-4158=1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-4158=1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-4158=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2023-4158=1 * SUSE Manager Proxy 4.2 zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-4158=1 * SUSE Manager Retail Branch Server 4.2 zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch- Server-4.2-2023-4158=1 * SUSE Manager Server 4.2 zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-4158=1 * SUSE Enterprise Storage 7.1 zypper in -t patch SUSE-Storage-7.1-2023-4158=1 * SUSE Linux Enterprise Micro 5.1 zypper in -t patch SUSE-SUSE-MicroOS-5.1-2023-4158=1 * SUSE Linux Enterprise Micro 5.2 zypper in -t patch SUSE-SUSE-MicroOS-5.2-2023-4158=1 * SUSE Linux Enterprise Micro for Rancher 5.2 zypper in -t patch SUSE-SUSE-MicroOS-5.2-2023-4158=1 ## Package List: * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 (aarch64 x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (aarch64 x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (aarch64 ppc64le s390x x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (ppc64le x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Manager Proxy 4.2 (x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Manager Retail Branch Server 4.2 (x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Manager Server 4.2 (ppc64le s390x x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Enterprise Storage 7.1 (aarch64 x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Linux Enterprise Micro 5.1 (aarch64 s390x x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64) * suse-module-tools-15.3.17-150300.3.22.1 * SUSE Linux Enterprise Micro for Rancher 5.2 (aarch64 s390x x86_64) * suse-module-tools-15.3.17-150300.3.22.1

References

* bsc#1205767

* bsc#1207853

* bsc#1210335

* jsc#PED-5731

Cross-

* CVE-2023-1829

* CVE-2023-23559

CVSS scores:

* CVE-2023-1829 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

* CVE-2023-1829 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

* CVE-2023-23559 ( SUSE ): 6.5 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:L

* CVE-2023-23559 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

* SUSE Enterprise Storage 7.1

* SUSE Linux Enterprise High Performance Computing 15 SP3

* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3

* SUSE Linux Enterprise Micro 5.1

* SUSE Linux Enterprise Micro 5.2

* SUSE Linux Enterprise Micro for Rancher 5.2

* SUSE Linux Enterprise Server 15 SP3

* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3

* SUSE Linux Enterprise Server for SAP Applications 15 SP3

* SUSE Manager Proxy 4.2

* SUSE Manager Retail Branch Server 4.2

* SUSE Manager Server 4.2

An update that solves two vulnerabilities, contains one feature and has one

security fix can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-1829.html

* https://www.suse.com/security/cve/CVE-2023-23559.html

* https://bugzilla.suse.com/show_bug.cgi?id=1205767

* https://bugzilla.suse.com/show_bug.cgi?id=1207853

* https://bugzilla.suse.com/show_bug.cgi?id=1210335

* https://jira.suse.com/login.jsp

Severity
Announcement ID: SUSE-SU-2023:4158-1
Rating: important

Related News